org.gjt.sp.jedit.bsh

## Interface BshIterator

All Known Implementing Classes:
  CollectionIterator, CollectionManager.BasicBshIterator

    public interface BshIterator

An interface implemented by classes wrapping instances of iterators, enumerations, collections, etc.

See Also:
  `getBshIterator`

### Method Summary

Methods
`boolean` `hasNext()` Returns true if and only if there are more objects available via the `next()` method
`java.lang.Object` `next()` Fetch the next object in the iteration

### Method Detail

#### next

    java.lang.Object next()

Fetch the next object in the iteration

Returns:
  The next object

#### hasNext

    boolean hasNext()

Returns true if and only if there are more objects available via the `next()` method

Returns:
  The next object